<?php
  include_once("conn.php");

  $jsondata = array();
  if (!isset($_POST['xVieja']) || !isset($_POST['xNueva'])) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Información de entrada mal definida.';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    exit();
  }
  
  $sql = "SELECT COUNT(*) AS CANTIDAD
          FROM USUARIOS U
          WHERE UPPER(U.ID_USUARIO) = ".$_SESSION['CurrentIdUser']."
            AND U.INHABILITADO = 0 
            AND ".$_SESSION['currBaseSeguridad']."decripta(U.PWD)='".$_POST['xVieja']."' ";
  $RsUsuario = $DBSegu->Execute($sql);
  $resu = true;
  if (!$RsUsuario) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error. Intente nuevamente.';
    $resu = false;
  }
  else {
    if ($RsUsuario->fields['CANTIDAD'] == 0) {
      $jsondata['success'] = false;
      $jsondata['message'] = 'La contraseña ingresada no coincide con la actual.';
    }
    else {
      $sql = "UPDATE USUARIOS
              SET PWD = ".$_SESSION['currBaseSeguridad']."encripta('".$_POST['xNueva']."')
              WHERE ID_USUARIO = ".$_SESSION['CurrentIdUser'];
      $RsUsuario = $DBSegu->Execute($sql);
      $resu = true;
      if (!$RsUsuario) {
        $jsondata['success'] = false;
        $jsondata['message'] = 'La contraseña NO ha podido ser modificada.'.$sql;
        $resu = false;
      }
      else {
        $jsondata['success'] = true;
        $jsondata['message'] = 'La contraseña ha sido modificada.';
      }
    }
  }

  header('Content-type: application/json; charset=utf-8');
  echo json_encode($jsondata);
  exit();
?>